Index: /extensions/lmt/admin/plugin_admin_config.tpl
===================================================================
--- /extensions/lmt/admin/plugin_admin_config.tpl	(revision 6700)
+++ /extensions/lmt/admin/plugin_admin_config.tpl	(revision 6701)
@@ -20,11 +20,11 @@
     if($("#ilicence_logo").val()=="text")
     {
-      $("#logodefault").get(0).innerHTML=get_licence_text($("#ilicence_default").val(), true);
+      $("#logodefault").html(get_licence_text($("#ilicence_default").val(), true));
     }
     else
     {
-      $("#logodefault").get(0).innerHTML="<img src='{/literal}{$datas.img_directory}{literal}"+
+      $("#logodefault").html("<img src='{/literal}{$datas.img_directory}{literal}"+
             $("#ilicence_default").val().toLowerCase()+"_"+
-            $("#ilicence_logo").val()+".png'>";
+            $("#ilicence_logo").val()+".png'>");
     }
     change_example();
@@ -136,5 +136,5 @@
     str = str.replace(re, txt);
 
-    $("#textexample").attr("innerHTML",str);
+    $("#textexample").html(str);
   }
 
Index: /extensions/lmt/admin/plugin_admin_list.tpl
===================================================================
--- /extensions/lmt/admin/plugin_admin_list.tpl	(revision 6700)
+++ /extensions/lmt/admin/plugin_admin_list.tpl	(revision 6701)
@@ -3,13 +3,23 @@
   function loadpage(pagenum)
   {
-    tmp=$.ajax({
-      type: "POST",
-      url: "{/literal}{$datas.LMT_AJAX_URL_LIST}{literal}"+pagenum+"&filter="+$("#filter").val(),
-      async: false,
-     }).responseText;
+    $("#list").html("<br><img src='./plugins/GrumPluginClasses/icons/processing.gif'>");
 
-    $("#nbphotos").attr("innerHTML", tmp.substr(0,tmp.indexOf("#")));
-    $("#list").attr("innerHTML", tmp.substr(tmp.indexOf("#")+1));
-    //$("#filter").attr("innerHTML", tmp.substr(tmp.indexOf("#")+1));
+    $.ajax(
+      {
+        type: "POST",
+        datas:
+          {
+            filter:$("#filter").val()
+          },
+        url: "{/literal}{$datas.LMT_AJAX_URL_LIST}{literal}"+pagenum,
+        async: true,
+        success: function(msg)
+        {
+          $("#nbphotos").html(msg.substr(0,msg.indexOf("#")));
+          $("#list").html(msg.substr(msg.indexOf("#")+1));
+          //$("#filter").attr("innerHTML", msg.substr(msg.indexOf("#")+1));
+        }
+      }
+    );
   }
 {/literal}
Index: /extensions/lmt/admin/plugin_admin_listitems.tpl
===================================================================
--- /extensions/lmt/admin/plugin_admin_listitems.tpl	(revision 6700)
+++ /extensions/lmt/admin/plugin_admin_listitems.tpl	(revision 6701)
@@ -13,5 +13,5 @@
         <span>
           <br/><div class="is_on" id="imgfi{$data.id}" onclick="swap_state('fi{$data.id}');">&nbsp;</div>
-          [ <a href="{$data.imglink}">{$data.file}</a> ]<br/>
+          [ {$data.file} ]<br/>
           ---<br/>
           {foreach from=$data.cat key=catname item=catdata}
Index: /extensions/lmt/admin/plugin_admin_manage.tpl
===================================================================
--- /extensions/lmt/admin/plugin_admin_manage.tpl	(revision 6700)
+++ /extensions/lmt/admin/plugin_admin_manage.tpl	(revision 6701)
@@ -10,12 +10,18 @@
   function loadpage(pagenum)
   {
-    tmp=$.ajax({
-      type: "POST",
-      url: "{/literal}{$datas.LMT_AJAX_URL_LIST}{literal}"+pagenum,
-      async: false,
-     }).responseText;
+    $("#list").html("<br><img src='./plugins/GrumPluginClasses/icons/processing.gif'>");
 
-    $("#nbphotos").attr("innerHTML", tmp.substr(0,tmp.indexOf("#")));
-    $("#list").attr("innerHTML", tmp.substr(tmp.indexOf("#")+1));
+    $.ajax(
+      {
+        type: "POST",
+        url: "{/literal}{$datas.LMT_AJAX_URL_LIST}{literal}"+pagenum,
+        async: true,
+        success: function (msg)
+          {
+            $("#nbphotos").html(msg.substr(0,msg.indexOf("#")));
+            $("#list").html(msg.substr(msg.indexOf("#")+1));
+          }
+      }
+    );
   }
 
Index: /extensions/lmt/admin/plugin_admin_manageitems.tpl
===================================================================
--- /extensions/lmt/admin/plugin_admin_manageitems.tpl	(revision 6700)
+++ /extensions/lmt/admin/plugin_admin_manageitems.tpl	(revision 6701)
@@ -15,5 +15,5 @@
         <span>
           <br/><div class="is_on" id="imgfi{$data.id}" onclick="swap_state('fi{$data.id}');">&nbsp;</div>
-          [ <a href="{$data.imglink}">{$data.file}</a> ]<br/>
+          [ {$data.file} ]<br/>
           ---<br/>
           {foreach from=$data.cat key=catname item=catdata}
Index: /extensions/lmt/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/lmt/language/en_UK/plugin.lang.php	(revision 6700)
+++ /extensions/lmt/language/en_UK/plugin.lang.php	(revision 6701)
@@ -28,9 +28,9 @@
 $lang['lmt_add_licence_ko'] = 'The license count not be applied to the selected items';
 $lang['lmt_add_licence_ok'] = 'The license has been applied to the selected items';
-$lang['lmt_add_to_caddie'] = 'Add the items to the basket';
+$lang['lmt_add_to_caddie'] = 'Add the items in the caddie';
 $lang['lmt_apply'] = 'Apply';
-$lang['lmt_apply_do_clear'] = 'Apply the licence and empty the basket';
-$lang['lmt_apply_do_clear_selected'] = 'Apply the licence and clear the selected items in the basket';
-$lang['lmt_apply_do_nothing'] = 'Apply the licence and don\'t modify the basket';
+$lang['lmt_apply_do_clear'] = 'Apply the licence and empty the caddie';
+$lang['lmt_apply_do_clear_selected'] = 'Apply the licence and clear the selected items in the caddie';
+$lang['lmt_apply_do_nothing'] = 'Apply the licence and don\'t modify the caddie';
 $lang['lmt_author'] = 'Author';
 $lang['lmt_author_added'] = 'The author was added';
@@ -49,5 +49,5 @@
 $lang['lmt_caddie_items'] = 'Items in caddie';
 $lang['lmt_caddie_not_updated'] = 'The basket could not be updated';
-$lang['lmt_caddie_updated'] = 'The basket has been updated';
+$lang['lmt_caddie_updated'] = 'The caddie has been updated';
 $lang['lmt_cancel'] = 'Cancel';
 $lang['lmt_cannot_add_author'] = 'The author could not be added';
@@ -66,10 +66,10 @@
 $lang['lmt_cfg_warning_link'] = 'Enable redirect';
 $lang['lmt_cfg_warning_texts'] = 'Footer text';
-$lang['lmt_cfg_warning_visible'] = 'Show the license applied by default in the bottom of the page';
+$lang['lmt_cfg_warning_visible'] = 'View the license applied by default in the bottom of the page';
 $lang['lmt_choose_select'] = '&lt;Select&gt;';
-$lang['lmt_clear_caddie_ko'] = 'Basket could not be purged';
-$lang['lmt_clear_caddie_ok'] = 'Basket has been purged';
-$lang['lmt_clear_si_caddie_ko'] = 'Selected items could not be purged from the basket';
-$lang['lmt_clear_si_caddie_ok'] = 'Selected items have been purged from the basket';
+$lang['lmt_clear_caddie_ko'] = 'Caddie could not be purged';
+$lang['lmt_clear_caddie_ok'] = 'Caddie has been purged';
+$lang['lmt_clear_si_caddie_ko'] = 'Selected items could not be purged from the caddie';
+$lang['lmt_clear_si_caddie_ok'] = 'Selected items have been purged from the caddie';
 $lang['lmt_config'] = 'Settings';
 $lang['lmt_def_--'] = 'The work may be freely used, provided the award to its author by quoting his name';
@@ -86,11 +86,11 @@
 $lang['lmt_general_text'] = '[logo=80x15]The media of this website are subject to copyright and, unless otherwise indicated, distributed under Creative Commons Licence [text=logo]';
 $lang['lmt_help'] = 'Help';
-$lang['lmt_help_config'][1] = 'Depending on the number of elements with a specific licence or the number of items in your basket, size of the display area will change. An oversized display area can reduce the comfort of reading the page. <br> This parameter is used to force the maximum height of the display area.';
-$lang['lmt_help_config'][2] = 'Activates or deactivates license management. Compared to completely disable the plugin, this option allows to disable the license management on the public part of the site while retaining the administration of the plugin actived.';
+$lang['lmt_help_config'][1] = 'Depending on the number of elements with a licence number or the number of items in your caddie, size of the display area will change. A display area too bogger can reduce the comfort of reading the page. <br> This parameter is used to force the maximum height of the display area.';
+$lang['lmt_help_config'][2] = 'Selects whether or not the management of licenses. Compared to completely disable the plugin, this option allows to disable the license management on the public part of the site while retaining the administration of the plugin actived.';
 $lang['lmt_help_config'][3] = 'This option will always display the licence of the element, even if the licence by default it is assigned. <br> If this option is not activated, the licence will be displayed only for elements with a particular licence.';
-$lang['lmt_help_config'][4] = 'This option allows you to select the licence, which will be applied by default to elements to which no licence has been assigned.';
+$lang['lmt_help_config'][4] = 'This option allows you to select the licence will be applied by default to the elements for which no licence has been affected.';
 $lang['lmt_help_config'][5] = 'This option allows you to choose whether to display or not the licence by default on all pages (will be shown on the footer).';
 $lang['lmt_help_config'][6] = 'If enabled, the logo indicating the licence is a hyperlink redirecting the user to a page explaining in more detail the operating conditions of the item.';
-$lang['lmt_help_config'][7] = 'The license text displayed at the bottom of the page is changed according to your needs. <br> It is possible to display the corresponding license as: <br> <b>[logo=80x15]</b> the 80x15 logo <br> <b>[logo=88x31]</b> the 88x31 logo <br> <b>[logo=text]</b> the text only';
+$lang['lmt_help_config'][7] = 'The license text displayed at the bottom of the page is changed according to your needs. <br> It is possible to view items in automatically: <br> <b>[logo=80x15]</b> insert the 80x15 logo of the default licence <br> <b>[logo=88x31]</b> insert the 88x31 logo of the default licence<br> <b>[logo=text]</b>insert the text of the default licence';
 $lang['lmt_help_config'][8] = 'This option allows you to select the author who will be assigned to the licence used by default.';
 $lang['lmt_help_config'][9] = 'This option allows you to choose the number of items displayed per page.';
@@ -146,5 +146,5 @@
 $lang['lmt_nb_authors'] = 'authors set';
 $lang['lmt_no_author'] = '&lt;No author&gt;';
-$lang['lmt_no_element_selected'] = 'There are no selected items !';
+$lang['lmt_no_element_selected'] = 'There is no selected items !';
 $lang['lmt_no_text'] = 'No text is filled !';
 $lang['lmt_nofilter'] = 'All licences';
@@ -153,5 +153,5 @@
 $lang['lmt_redirect_urls'] = 'URL redirects';
 $lang['lmt_release'] = 'r';
-$lang['lmt_replace_caddie'] = 'Purge basket and add the elements';
+$lang['lmt_replace_caddie'] = 'Purge caddie and add the elements';
 $lang['lmt_save_config'] = 'Configuration saved';
 $lang['lmt_select_all'] = 'All';
Index: /extensions/lmt/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/lmt/language/es_ES/plugin.lang.php	(revision 6700)
+++ /extensions/lmt/language/es_ES/plugin.lang.php	(revision 6701)
@@ -25,5 +25,5 @@
 $lang['lmt_official_website'] = 'El sitio oficial de Creative Commons';
 $lang['lmt_whatisit'] = 'Qué <i>Creative Commons</i> ?';
-$lang['lmt_whatisit_def1'] = 'Creative Commons es una organización sin ánimo de lucro que propone gratuitamente contratos flexibles de derecho de autor para difundir sus creaciones. Aplicados sobre sus fotos (u otros medios de comunicación que usted pone en línea) estos contratos les permiten a quienquiera explotarles sin tener que solicitarles sistemáticamente para obtener una autorización.';
+$lang['lmt_whatisit_def1'] = 'Creative Commons es una organización sin ánimo de lucro que propone gratuitamente contratos flexibles de derecho de autor para difundir sus creaciones. Aplicados sobre sus fotos (u otros medios de comunicación que usted pone en línea) estos contratos les permiten a quienquiera explotarles sin tener solicitarle sistemáticamente para obtener una autorización.';
 $lang['lmt_whatisit_def2'] = 'Existen 6 licencias que se articulan alrededor de 4 principios y que definen las condiciones de utilización.';
 $lang['lmt_four_way'] = 'Los 4 principios';
@@ -33,5 +33,5 @@
 $lang['lmt_way_nd'] = 'Ninguna Modificación';
 $lang['lmt_way_nc'] = 'Ninguna Utilización Comercial';
-$lang['lmt_way_sa'] = 'Compartir Condiciones Iniciales a la Idéntica ';
+$lang['lmt_way_sa'] = 'Reparto a la Idéntica de las Condiciones Iniciales';
 
 $lang['lmt_cc-all'] = 'Toda licencia';
@@ -41,5 +41,5 @@
 $lang['lmt_lbl_cc-by-nc-nd'] = 'Paternidad, ninguna Utilización Comercial, ninguna Modificación';
 $lang['lmt_lbl_cc-by-nc-sa'] = 'Paternidad, ninguna Utilización Comercial, Comparte Condiciones Iniciales a la Idéntica';
-$lang['lmt_lbl_cc-by-sa'] = 'Paternidad, compartir condiciones Iniciales a la Idéntica';
+$lang['lmt_lbl_cc-by-sa'] = 'Paternidad, Reparto Condiciones Iniciales al Idéntico';
 $lang['lmt_lbl_cc-cright'] = 'Copyright';
 $lang['lmt_lbl_cc-cleft'] = 'Copyleft';
@@ -69,13 +69,13 @@
 $lang['lmt_nofilter'] = 'Toda licencia';
 
-$lang['lmt_def_--'] = 'La obra puede libremente ser utilizada, citando a su autor por su nombre';
-$lang['lmt_def_nc'] = 'El titular de los derechos puede autorizar todos los tipos de utilización o al contrario restringir las utilizaciones no comerciales (las utilizaciones comerciales quedan sometidas a su autorización).';
-$lang['lmt_def_nd'] = 'El titular de los derechos puede continuar reservandose la facultad de realizar obras derivadas o al contrario autorizar de antemano las modificaciones, las traducciones...';
-$lang['lmt_def_sa'] = 'A la posibilidad de autorizar de antemano las modificaciones puede sobreponerse la obligación para dichas obras  derivadas de ser propuestas al público con las mismas libertades (bajo la mismas opción Creative Commons) que la obra original.';
+$lang['lmt_def_--'] = 'La obra puede libremente ser utilizada, atribuirle a sonido el autor citando su nombre';
+$lang['lmt_def_nc'] = 'El titular derechos puede autorizar todos los tipos de utilización o al contrario restringir las utilizaciones no comerciales (las utilizaciones comerciales que quedan sometidas a su autorización).';
+$lang['lmt_def_nd'] = 'El titular de derechos puede continuar reservando la facultad para realizar obras derivadas de tipo o al contrario autorizar de antemano las modificaciones, las traducciones...';
+$lang['lmt_def_sa'] = 'A la posibilidad de autorizar de antemano las modificaciones puede sobreponerse la obligación para las obras dichas derivadas de serle propuestas al público con las mismas libertades (bajo la mismas opción Creative Commons) que la obra originaria.';
 
-$lang['lmt_general_text'] = "[logo=80x15]Los medios de comunicación de este sitio están sometidos al derecho de autor y, salvo indicaciones contrarias, estan difundidos bajo licencia Creative Commons [logo=text]";
+$lang['lmt_general_text'] = "[logo=80x15]Los medios de comunicación de este sitio están sometidos al derecho de autor y, salvo indicaciones contrarias, han difundido bajo licencia Creative Commons [logo=text]";
 
-$lang['lmt_lst_default_licence'] = "Las fotos por defecto estan publicadas bajo la licencia siguiente";
-$lang['lmt_lst_special_licence'] = "Las fotos siguientes estan publicadas con una licencia particular";
+$lang['lmt_lst_default_licence'] = "Las fotos por defecto han publicado bajo la licencia siguiente";
+$lang['lmt_lst_special_licence'] = "Las fotos siguientes son publicadas con una licencia particular";
 $lang['lmt_lst_apply_filter'] = 'Filtrar';
 $lang['lmt_lst_nb_photos'] = 'Fotos';
@@ -94,5 +94,5 @@
 $lang['lmt_select_invert'] = "Invertir";
 $lang['lmt_licence_to_apply'] = "Elección de la licencia";
-$lang['lmt_no_element_selected'] = "No hay ningún elemento seleccionado !";
+$lang['lmt_no_element_selected'] = "No hay ningún elemento de seleccionado !";
 
 $lang["lmt_add_licence_ok"] = "La licencia ha sido aplicada sobre los elementos seleccionado";
@@ -102,22 +102,22 @@
 $lang["lmt_clear_si_caddie_ok"] = "Los elementos seleccionados han sido purgados de la cesta";
 $lang["lmt_clear_si_caddie_ko"] = "Los elementos seleccionados no pudieron ser purgados de la cesta";
-$lang["lmt_caddie_not_updated"] = "La cesta no pudo ser actualizada";
-$lang["lmt_caddie_updated"] = "La cesta ha sido actualizada";
-$lang["lmt_add_to_caddie"] = "Añadir los elementos a la cesta";
-$lang["lmt_replace_caddie"] = "Purgar la cesta y añadirle los elementos";
+$lang["lmt_caddie_not_updated"] = "La cesta no pudo ser puesta al día";
+$lang["lmt_caddie_updated"] = "La cesta ha sido puesta al día";
+$lang["lmt_add_to_caddie"] = "Añadir los elementos en la cesta";
+$lang["lmt_replace_caddie"] = "Purgar la cesta y añadir a eso los elementos";
 $lang["lmt_caddie_is_empty_please_fill_it"] = "La aplicación de una licencia se efectúa sobre el contenido de la cesta. Desgraciadamente éste está vacío...";
 
-$lang["lmt_redirect_config"] = "Redirecciónes";
+$lang["lmt_redirect_config"] = "Redirections";
 $lang["lmt_general_config"] = "Opciones generales";
-$lang['lmt_display_config'] = "Opciones de visualización";
+$lang['lmt_display_config'] = "Opciones de fijación";
 $lang['lmt_cfg_list_maxheight'] = "Altura máxima de las listas";
-$lang['lmt_cfg_list_maxitems'] = "Número máximo de elementos visualizados";
+$lang['lmt_cfg_list_maxitems'] = "Número máximo de elementos fijados";
 $lang['lmt_licence_config'] = "Gestión de las licencias";
-$lang["lmt_cfg_licence_activated"] = "Activar la gestión de las licencias";
-$lang["lmt_cfg_licence_visible"] = "La licencia siempre es visualizada, hasta si se trata de una licencia por defecto";
-$lang["lmt_cfg_licence_logo"] = "Tipo de logo visualizado";
+$lang["lmt_cfg_licence_activated"] = "Acelerar la gestión de las licencias";
+$lang["lmt_cfg_licence_visible"] = "La licencia siempre es fijada, hasta si se trata de una licencia por defecto";
+$lang["lmt_cfg_licence_logo"] = "Tipo de logo fijado";
 $lang["lmt_warning_config"] = "Gestión del texto de pie de página";
-$lang["lmt_cfg_warning_visible"] = "Visualizar la licencia aplicada por defecto abajo de la página";
-$lang["lmt_cfg_warning_link"] = "Activar la redirección";
+$lang["lmt_cfg_warning_visible"] = "Fijar la licencia aplicada por defecto abajo página";
+$lang["lmt_cfg_warning_link"] = "Acelerar el redirection";
 $lang["lmt_cfg_warning_texts"] = "Texto de pie de página";
 $lang["lmt_do_save"] = "Registrar la configuración";
@@ -132,28 +132,28 @@
 $lang["lmt_icon_88x31"] = "Icono 88x31";
 $lang["lmt_icon_text"] = "Texto";
-$lang['example'] = "Ejemplo de la visualización";
+$lang['example'] = "Ejemplo de la fijación";
 $lang['lmt_warning_texts_help'] = "";
 
-$lang["lmt_help_config"][1] = "En foncción del numero de elementos disponiendo de una licencia particular o del numero de elementos presente en su cesta, la zona de visualización sera mas o menos grande. Una zona de visualizacion demasiado grande puede reducir la comodidad de lectura de la pagina.<br/>Este parametro permite adaptar la altura maximal de la zona de visualización.";
-$lang["lmt_help_config"][2] = "Permite activar o no la gestión de las licencias. Con relación a una desactivación completa del plugin, esta opción permite desactivar la gestión de las licencias en el lado público del sitio conservando la administración del plugin activo.";
-$lang["lmt_help_config"][3] = "Esta opción permite visualizar sistemáticamente la licencia del elemento, aunque la licencia por defecto le es afectada. <br /> Si esta opción no es activada, la licencia será visializada sólo para los elementos que dispondrán de una licencia particular.";
-$lang["lmt_help_config"][4] = "Esta opción permite seleccionar la licencia que será aplicada por defecto sobre los elementos para los cuales ninguna licencia particular habrá sido afectado.";
-$lang["lmt_help_config"][5] = "Esta opción permite escoger si hay que visualizar o no la licencia por defecto sobre todas las páginas (será visualizada abajo de la página).";
-$lang["lmt_help_config"][6] = "Si esta activado, el logotipo que indica la licencia es un hiperenlaces que redirige al usuario sobre una página que explica más detalladamente las condiciones de explotación del elemento.";
-$lang["lmt_help_config"][7] = "El texto de licencia visualizado abajo de la página es modificable según sus necesidades. <br /> es posible visualizar los elementos automáticamente: <br /> <b> [logo=80x15] </b> inserta el logotipo 80x15 de la licencia por defecto <br /> <b> [logo=88x31] </b> inserta el logotipo 88x31 de la licencia por defecto <br /> <b> [logo=text] </b> inserta el texto de la licencia por defecto";
+$lang["lmt_help_config"][1] = "Con arreglo al número de elementos que dispone de una licencia particular o de un número del número de elementos presentes en su cesta, de la zona de fijación vaya a ser más o menos grande. Una zona demasiado grande de fijación puede reducir la comodidad de lectura de la página. <br /> Este parámetro permite forzar la altura máxima de la zona de fijación.";
+$lang["lmt_help_config"][2] = "Permite acelerar o no la gestión de las licencias. Con relación a una desactivación completa del plugin, esta opción permite desactivar la gestión de las licencias sobre la partida pública del sitio conservando la administración del plugin activo.";
+$lang["lmt_help_config"][3] = "Esta opción permite fijar sistemáticamente la licencia del elemento, aunque la licencia por defecto le es afectada. <br /> Si esta opción no es acelerada, la licencia será fijada sólo para los elementos que dispondrán de una licencia particular.";
+$lang["lmt_help_config"][4] = "Esta opción permite seleccionar la licencia que será aplicada por defecto sobre los elementos para los cuales ninguna licencia particular habrá estado afectado.";
+$lang["lmt_help_config"][5] = "Esta opción permite escoger si hay que fijar o no la licencia por defecto sobre todas las páginas (será fijado abajo página).";
+$lang["lmt_help_config"][6] = "Si acelerado, el logotipo que indica la licencia es un hiperenlaces que redirigeant al usuario sobre una página que explica más detalladamente las condiciones de explotación del elemento.";
+$lang["lmt_help_config"][7] = "El texto de licencia fijado abajo página es modificable según sus necesidades. <br /> es posible fijar elementos en automático: <br /> <b> [logo=80x15] </b> inserta el logotipo 80x15 de la licencia por defecto <br /> <b> [logo=88x31] </b> inserta el logotipo 88x31 de la licencia por defecto <br /> <b> [logo=text] </b> inserta el texto de la licencia por defecto";
 $lang["lmt_help_config"][8] = "Esta opción permite seleccionar al autor que será afectado para la licencia aplicada por defecto.";
-$lang["lmt_help_config"][9] = "Esta opción permite escoger el número de elementos visualizados por página.";
+$lang["lmt_help_config"][9] = "Esta opción permite escoger el número de elementos fijados por página.";
 
-$lang["lmt_author_nfo"] = "Cuando el logotipo de una licencia es visializado en la página de un elemento hecho visible, es posible precisar al autor que detiene los derechos.";
+$lang["lmt_author_nfo"] = "Cuando el logotipo de una licencia es fijado sobre la página de un elemento hecho visible, es posible precisar al autor que detiene los derechos.";
 $lang["lmt_author_title"] = "Lista autores";
-$lang["lmt_nb_author_zero"] = "No hay ningún autor con parámetros definidos";
-$lang["lmt_nb_author_one"] = "1 autor con parámetros definidos";
-$lang["lmt_nb_authors"] = "Autores con parámetros definidos";
-$lang["lmt_add_author"] = "Añadir un autor";
+$lang["lmt_nb_author_zero"] = "No hay ningún autor de definido parámetros";
+$lang["lmt_nb_author_one"] = "1 autor de definido parámetros";
+$lang["lmt_nb_authors"] = "Autores de definidos parámetros";
+$lang["lmt_add_author"] = "Añadir a un autor";
 $lang["lmt_author_txt1"] = "Texto 1";
 $lang["lmt_author_txt2"] = "Texto 2";
 $lang["lmt_action"] = "Acciones";
-$lang["lmt_authoradd_title"] = "Añadir un autor";
-$lang["lmt_authormodify_title"] = "Modificar un autor";
+$lang["lmt_authoradd_title"] = "Añadir a un autor";
+$lang["lmt_authormodify_title"] = "Modificar a un autor";
 $lang["lmt_add"] = "Añadir";
 $lang["lmt_delete"] = "Suprimir";
@@ -165,23 +165,22 @@
 $lang["lmt_author_deleted"] = "El autor ha sido suprimido";
 $lang["lmt_cannot_delete_author"] = "El autor no pudo ser suprimido";
-$lang["lmt_error_on_image_author"] = "Problema en el momento de la actualización de los elementos relacionados al autor suprimido";
-$lang["lmt_author_one_image_updated"] = "Una imagen relacionada con este autor ha sido actualizada";
-$lang["lmt_author_nb_images_updated"] = "Imágenes relacionadas con este autor han sido actualizadas";
+$lang["lmt_error_on_image_author"] = "Problema en el momento de la puesta al día de los elementos relacionados con autor suprimido";
+$lang["lmt_author_one_image_updated"] = "Una imagen relacionada con este autor ha sido puesta al día";
+$lang["lmt_author_nb_images_updated"] = "Imágenes relacionadas con este autor han sido puestas al día";
 $lang["lmt_author_modified"] = "El autor ha sido modificado";
 $lang["lmt_cannot_modify_author"] = "El autor no pudo ser modificado";
 $lang['lmt_no_author'] = "< Ningún autor>";
-$lang['lmt_redirect_urls'] = "URLs de redirecciones";
+$lang['lmt_redirect_urls'] = "URLs de redirections";
 /*ici*/
 $lang["lmt_nav_first"] = "Primero";
-$lang["lmt_nav_prev"] = "Precedente";
+$lang["lmt_nav_prev"] = "El precedente";
 $lang["lmt_nav_next"] = "Siguiente";
-$lang["lmt_nav_last"] = "Último";
+$lang["lmt_nav_last"] = "El último";
 
 //1.1.0
-$lang["lmt_help_config"][10] = "Si activa, la apertura de la página hacia la cual apunta el hiperenlace se abrira en una nueva ventana.";
+$lang["lmt_help_config"][10] = "Si acelerado, la apertura de la página hacia la cual despunta el hiperenlaces será efectuada en una nueva ventana.";
 $lang["lmt_cfg_warning_target"] = "Forzar la apertura en una nueva ventana"
 
-// 1.2.0
-$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Para instalar este plugin, usted debe previamente, instalar el plugin Grum Plugin Classes %s';
+
 
 ?>
Index: /extensions/lmt/lmt_aip.class.inc.php
===================================================================
--- /extensions/lmt/lmt_aip.class.inc.php	(revision 6700)
+++ /extensions/lmt/lmt_aip.class.inc.php	(revision 6701)
@@ -619,5 +619,5 @@
       if($result)
       {
-        if(pwg_db_changes()==1)
+        if(pwg_db_changes($result)==1)
         {
           $this->displayResult(l10n("lmt_author_deleted"), true);
@@ -628,5 +628,5 @@
           if($result)
           {
-            $nbimages=pwg_db_changes();
+            $nbimages=pwg_db_changes($result);
             if($nbimages>0)
             {
@@ -795,22 +795,25 @@
   }
 
-  protected function make_image_data($tmp)
+  protected function make_image_data($tmp, $imageId)
   {
     $tmp2=array();
-    for($i=0;$i<count($tmp['id']);$i++)
+    foreach($tmp['id'] as $key=>$val)
     {
       $tmp2[]=array(
-        'id' => $tmp['id'][$i],
-        'name' => $tmp['name'][$i],
-        'type' => $tmp['type'][$i],
-        'plinks' => $tmp['plinks'][$i],
-        'link'=> make_index_url(
-                          array(
-                            'category' => array(
-                              'id' => $tmp['id'][$i],
-                              'name' => $tmp['name'][$i],
-                              'permalink' => $tmp['plinks'][$i])
-                          )
-                        )
+        'id' => $tmp['id'][$key],
+        'name' => $tmp['name'][$key],
+        'type' => $tmp['type'][$key],
+        'plinks' => $tmp['plinks'][$key],
+        'link'=> make_picture_url(
+                  array(
+                    'image_id' => $imageId,
+                    'category' => array
+                      (
+                        'id' => $tmp['id'][$key],
+                        'name' => $tmp['name'][$key],
+                        'permalink' => $tmp['plinks'][$key]
+                      )
+                  )
+                )
       );
     }
@@ -895,5 +898,5 @@
               'link'=>array()
             );
-        $tmpcat=$this->make_image_data($tmp);
+        $tmpcat=$this->make_image_data($tmp, $row['image_id']);
 
         $img_ids[]=$row['image_id'];
@@ -906,13 +909,4 @@
           'file' => $row['file'],
           'cat' => $tmpcat,
-          'imglink' => make_picture_url(
-                          array(
-                            'image_id' => $row['image_id'],
-                            'category' => array(
-                              'id' => $tmp['id'][0],
-                              'name' => $tmp['name'][0],
-                              'permalink' => $tmp['plinks'][0])
-                          )
-                        ),
           'thumb' => $filenfo["dirname"]."/thumbnail/".$conf["prefix_thumbnail"].$filenfo["filename"].".".$row["tn_ext"]
         );
@@ -998,5 +992,5 @@
               'link'=>array()
             );
-        $tmpcat=$this->make_image_data($tmp);
+        $tmpcat=$this->make_image_data($tmp, $row['image_id']);
 
         $img_liste[]=array(
@@ -1008,13 +1002,4 @@
           'file' => $row['file'],
           'cat' => $tmpcat,
-          'imglink' => make_picture_url(
-                          array(
-                            'image_id' => $row['image_id'],
-                            'category' => array(
-                              'id' => $tmp['id'][0],
-                              'name' => $tmp['name'][0],
-                              'permalink' => $tmp['plinks'][0])
-                          )
-                        ),
           'thumb' => $filenfo["dirname"]."/thumbnail/".$conf["prefix_thumbnail"].$filenfo["filename"].".".$row["tn_ext"]
         );
Index: /extensions/lmt/lmt_pip.class.inc.php
===================================================================
--- /extensions/lmt/lmt_pip.class.inc.php	(revision 6700)
+++ /extensions/lmt/lmt_pip.class.inc.php	(revision 6701)
@@ -100,4 +100,11 @@
     }
 
+    $alternateText=" alt='".htmlspecialchars(l10n('lmt_lbl_cc_s-'.strtolower($licence['licence'])), ENT_QUOTES)."'
+      title='".htmlspecialchars(
+        l10n('lmt_lbl_under-'.strtolower($licence['licence'])).' '.
+        l10n('lmt_lbl_cc_s-'.strtolower($licence['licence'])).' : '.
+        l10n('lmt_lbl_cc-'.strtolower($licence['licence'])),ENT_QUOTES
+    )."' ";
+
     $style="";
     $text="";
@@ -108,9 +115,9 @@
         if($url!="")
         {
-          $text = "<br/><a href='".$url."'".$target."><img class='logo80x15' src='". LMT_PATH."img/".strToLower($licence['licence'])."_80x15.png'></a>".$licence['aut_text1']." ".$licence['aut_text2'];
+          $text = "<br/><a href='".$url."'".$target."><img $alternateText class='logo80x15' src='". LMT_PATH."img/".strToLower($licence['licence'])."_80x15.png'></a>".$licence['aut_text1']." ".$licence['aut_text2'];
         }
         else
         {
-          $text = "<br/><img class='logo80x15' src='". LMT_PATH."img/".strToLower($licence['licence'])."_80x15.png'>".$licence['aut_text1']." ".$licence['aut_text2'];
+          $text = "<br/><img $alternateText class='logo80x15' src='". LMT_PATH."img/".strToLower($licence['licence'])."_80x15.png'>".$licence['aut_text1']." ".$licence['aut_text2'];
         }
       break;
@@ -119,9 +126,9 @@
         if($url!="")
         {
-          $text = "<table style='margin:auto;'><tr><td><a href='".$url."'".$target."><img class='logo88x31' style='top:-4px;' src='". LMT_PATH."img/".strToLower($licence['licence'])."_88x31.png'></a></td><td>".$licence['aut_text1']."<br/>".$licence['aut_text2']."</td></tr></table>";
+          $text = "<table style='margin:auto;'><tr><td><a href='".$url."'".$target."><img $alternateText class='logo88x31' style='top:-4px;' src='". LMT_PATH."img/".strToLower($licence['licence'])."_88x31.png'></a></td><td>".$licence['aut_text1']."<br/>".$licence['aut_text2']."</td></tr></table>";
         }
         else
         {
-          $text = "<table style='margin:auto;'><tr><td><img class='logo88x31' style='top:-4px;' src='". LMT_PATH."img/".strToLower($licence['licence'])."_88x31.png'></td><td>".$licence['aut_text1']."<br/>".$licence['aut_text2']."</td></tr></table>";
+          $text = "<table style='margin:auto;'><tr><td><img $alternateText class='logo88x31' style='top:-4px;' src='". LMT_PATH."img/".strToLower($licence['licence'])."_88x31.png'></td><td>".$licence['aut_text1']."<br/>".$licence['aut_text2']."</td></tr></table>";
         }
         break;
@@ -155,8 +162,15 @@
     }
 
+    $alternateText=" alt='".htmlspecialchars(l10n('lmt_lbl_cc_s-'.strtolower($this->config['lmt_licence_default'])), ENT_QUOTES)."'
+      title='".htmlspecialchars(
+        l10n('lmt_lbl_under-'.strtolower($this->config['lmt_licence_default'])).' '.
+        l10n('lmt_lbl_cc_s-'.strtolower($this->config['lmt_licence_default'])).' : '.
+        l10n('lmt_lbl_cc-'.strtolower($this->config['lmt_licence_default'])),ENT_QUOTES
+    )."' ";
+
     $patterns = array('/\[logo=80x15\]/i', '/\[logo=88x31\]/i', '/\[logo=text\]/i');
     $replacements = array(
-      "<img class='logo80x15' src='". LMT_PATH."img/".strToLower($this->config['lmt_licence_default'])."_80x15.png'>",
-      "<img class='logo88x31' src='". LMT_PATH."img/".strToLower($this->config['lmt_licence_default'])."_88x31.png'>",
+      "<img $alternateText class='logo80x15' src='". LMT_PATH."img/".strToLower($this->config['lmt_licence_default'])."_80x15.png'>",
+      "<img $alternateText class='logo88x31' src='". LMT_PATH."img/".strToLower($this->config['lmt_licence_default'])."_88x31.png'>",
       l10n("lmt_lbl_cc_s-".strToLower($this->config['lmt_licence_default']))
     );
Index: /extensions/lmt/lmt_version.inc.php
===================================================================
--- /extensions/lmt/lmt_version.inc.php	(revision 6700)
+++ /extensions/lmt/lmt_version.inc.php	(revision 6701)
@@ -15,5 +15,5 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('LMT_VERSION',  '1.2.2');
-  define('LMT_VERSION2', '01.02.02');
+  define('LMT_VERSION',  '1.2.3');
+  define('LMT_VERSION2', '01.02.03');
 ?>
Index: /extensions/lmt/main.inc.php
===================================================================
--- /extensions/lmt/main.inc.php	(revision 6700)
+++ /extensions/lmt/main.inc.php	(revision 6701)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: LMT
-Version: 1.2.2
+Version: 1.2.3
 Description: Appliquer une licence sur ses photos / Apply a licence on photos
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=282
@@ -55,4 +55,14 @@
 |         |            |     on line 720
 |         |            |
+| 1.2.3   | 2010/07/24 | * mantis : feature 1439
+|         |            |   . Add an "ALT" property to the licence picture
+|         |            |     => the "TITLE" property was also added
+|         |            | * mantis : feature 1690
+|         |            |   . Improve performances in admin page
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
 |         |            |
 |         |            |
